<?php

namespace Master\FunctionalSkills;

use DB;
use Illuminate\Database\Seeder;

class MasterFunctionalSkillTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('master_functional_skills')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'functional_skills.master_functional_skill.view',
                'name'      => 'View MasterFunctionalSkill',
            ],
            [
                'slug'      => 'functional_skills.master_functional_skill.create',
                'name'      => 'Create MasterFunctionalSkill',
            ],
            [
                'slug'      => 'functional_skills.master_functional_skill.edit',
                'name'      => 'Update MasterFunctionalSkill',
            ],
            [
                'slug'      => 'functional_skills.master_functional_skill.delete',
                'name'      => 'Delete MasterFunctionalSkill',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/functional_skills/master_functional_skill',
                'name'        => 'MasterFunctionalSkill',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/functional_skills/master_functional_skill',
                'name'        => 'MasterFunctionalSkill',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'master_functional_skill',
                'name'        => 'MasterFunctionalSkill',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'FunctionalSkills',
                'module'    => 'MasterFunctionalSkill',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'functional_skills.master_functional_skill.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
