Lavalite package that provides functional_skills management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `master/functional_skills`.

    "master/functional_skills": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Master\FunctionalSkills\Providers\FunctionalSkillsServiceProvider::class,

And also add it to alias

    'FunctionalSkills'  => Master\FunctionalSkills\Facades\FunctionalSkills::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Master\\FunctionalSkillsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Master\FunctionalSkills\Providers\FunctionalSkillsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Master\FunctionalSkills\Providers\FunctionalSkillsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Master\FunctionalSkills\Providers\FunctionalSkillsServiceProvider" --tag="view"


## Usage


