<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for master_functional_skill in functional_skills package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  master_functional_skill module in functional_skills package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'MasterFunctionalSkill',
    'names'         => 'MasterFunctionalSkills',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'MasterFunctionalSkills',
        'sub'   => 'MasterFunctionalSkills',
        'list'  => 'List of master_functional_skills',
        'edit'  => 'Edit master_functional_skill',
        'create'    => 'Create new master_functional_skill'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['show','hide'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'slug'                       => 'Please enter slug',
        'status'                     => 'Please select status',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'slug'                       => 'Slug',
        'status'                     => 'Status',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'MasterFunctionalSkills',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
