<?php

namespace Master\FunctionalSkill\Repositories\Eloquent;

use Master\FunctionalSkill\Interfaces\MasterFunctionalSkillRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class MasterFunctionalSkillRepository extends BaseRepository implements MasterFunctionalSkillRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('master.functional_skill.master_functional_skill.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('master.functional_skill.master_functional_skill.model.model');
    }
}
