Lavalite package that provides functional_skill management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `master/functional_skill`.

    "master/functional_skill": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Master\FunctionalSkill\Providers\FunctionalSkillServiceProvider::class,

And also add it to alias

    'FunctionalSkill'  => Master\FunctionalSkill\Facades\FunctionalSkill::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Master\\FunctionalSkillTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Master\FunctionalSkill\Providers\FunctionalSkillServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Master\FunctionalSkill\Providers\FunctionalSkillServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Master\FunctionalSkill\Providers\FunctionalSkillServiceProvider" --tag="view"


## Usage


